Subject: bug#25988: closed (Re: [PATCH] bug#25988: python2-urwid tests fail)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 May 2017 14:48:02 +0000

Your bug report

#25988: python2-urwid tests fail

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25988: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25988
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] bug#25988: python2-urwid tests fail
From: [email-masked] (Ludovic Courtès)
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Mon, 01 May 2017 16:47:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
> [...]
>
>>
>> I’ve seen the failure once and it succeeded on a subsequent rebuild, so
>> I came to the conclusion that this is a non-deterministic failure.  That
>> would explain why the problem doesn’t show up on Hydra.
>>
>> Does it fail systematically for you?
>>
>
> Yes, it does! I can re-run the `guix system reconfigure ...' as
> many times as I want and always get the same two failures. However, if I
> keep the failed derivation and run the tests manually, I've found that
> using 'strace' will cause more failures/errors; so it seems
> non-deterministic; maybe a racing issue?
>
> I've opened an issue on their GitHub tracker
> (https://github.com/urwid/urwid/issues/230). Interestingly the same
> tests run fine with Python 3, with or without using strace.
>
> I've attached a patch that disables the problematic vterm tests, only
> for the python2-urwid package.

Sounds reasonable to me.

> Maxim
>
> From 56e769bee4a47136e0eee251c87a58b8359a8611 Mon Sep 17 00:00:00 2001
> From: Maxim Cournoyer <[email-masked]>
> Date: Sun, 30 Apr 2017 14:55:47 +0900
> Subject: [PATCH] gnu: Disable vterm tests for python2-urwid
>
> * gnu/packages/python.scm (python2-urwid)['delete-test_vterm]: Add phase to
> delete problematic test modules.

Applied, thanks!

Ludo’.

Subject: python2-urwid tests fail
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 05 Mar 2017 15:08:53 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm currently facing test failures from the python2-urwid package
required to build wicd. The errors are:

test_run (urwid.tests.test_event_loops.SelectEventLoopTest) ... ok

======================================================================
FAIL: test_horizontal_resize (urwid.tests.test_vterm.TermTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 169, in test_horizontal_resize
    + '3-' + ' ' * 76 + '-4')
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
    self.assertEqual(got, what, desc)
AssertionError: Expected:
'1-                                                                            -2\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
Got:
'Traceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'

======================================================================
FAIL: test_vertical_resize (urwid.tests.test_vterm.TermTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 186, in test_vertical_resize
    self.expect('\n' * (y - 2) + '3-' + ' ' * 76 + '-4', desc)
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
    self.assertEqual(got, what, desc)
AssertionError: try to rescale to 80x22.
Expected:
'\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
Got:
'\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4\n\nTraceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'

----------------------------------------------------------------------
Ran 278 tests in 1.073s

FAILED (failures=2)
phase `check' failed after 5.2 seconds
builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
@ build-failed /gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv - 1 builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed

I'm using GuixSD with ext4 partition and kernel Linux 4.9.5. The
package definitions are from git master. The system itself is using git
master from about a month ago.

lfam or #guix said he could reproduce the issue with Linux 4.9.13 on a
ext4 fileystem but not on a btrfs one.

I could not reproduce the issue myself on an Ubuntu 14.04 running Linux
4.2.0 with a ext4 partition .

Maxim